The officially official Devuan Forum!

You are not logged in.

#1 2019-06-26 23:24:44

penguin
Member
Registered: 2019-05-05
Posts: 1  

How do I install a package that requires snapd?

I want to install VPN  client from https://riseup.net/en/vpn. But it requires to install snapd package first.
The company does not provide the source code yet.

Thanks in advance.

Offline

#2 2019-06-27 01:00:58

golinux
Administrator
Registered: 2016-11-25
Posts: 1,675  

Re: How do I install a package that requires snapd?

Hi penguin and welcome to devuan.  I got that email from riseup.net today also.  Unfortunately snapd is on devuan's banned package list.  So unless someone removes that dependency and repackages there is no way to install without systemd.  And that may not even be possible.

Online

#3 2019-06-27 02:51:46

golinux
Administrator
Registered: 2016-11-25
Posts: 1,675  

Re: How do I install a package that requires snapd?

There is also a post about this from last month on riseup.net and this was the reply:

Crossbill replied... 2019-05-08

Hello,

We are working on a debian package of riseup-vpn, its getting close to being done. I suspect that this could be installed and used without systemd.

crossbill

I have requested a notification if this package ever gets finished.

Online

#4 2019-06-27 17:49:43

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 290  
Website

Re: How do I install a package that requires snapd?

penguin wrote:

The company does not provide the source code yet.

Have you tried asking them for it?

The snap store says the licence is GPL-3.0+ so they have to make the code available on request.


Fabricando fit faber

Offline

#5 2019-06-28 02:58:35

czeekaj
Member
Registered: 2019-06-12
Posts: 16  

Re: How do I install a package that requires snapd?

I'd ask them for the .ovpn config files. If you paid for the service you shouldn't require anything special to access their server. Although , Itried asking for Purism's librem 1 VPN if they would have config files so you could just start a tunnel from the terminal. They said it wasn't ready yet.
Seemed like a load of bullocks how a user Gui would be easier to release than a config file. But I dunno maybe it's more complicated than I thought. Or running ovpn configs with keys in them degrades their service some how.

PIA is good for it, you can wget a zip file with all their server configs. Or go to their site to generate a new one if you want to change the hand shake hashing for instance. It works like openvpn should.

Last edited by czeekaj (2019-06-28 03:02:40)

Offline

#6 2019-06-30 08:08:19

ToxicExMachina
Member
Registered: 2019-03-11
Posts: 106  

Re: How do I install a package that requires snapd?

Snap format is basically crumpled deb package. You can unpack it yourself. Besides, if VPN service require custom proprietary VPN client it's a spyware.

Offline

#7 2019-06-30 14:49:42

golinux
Administrator
Registered: 2016-11-25
Posts: 1,675  

Re: How do I install a package that requires snapd?

ToxicExMachina wrote:

Besides, if VPN service require custom proprietary VPN client it's a spyware.

Do you know anything about riseup.net?  I suggest you learn more about them.  From their homepage:

Riseup provides online communication tools for people and groups working on liberatory social change. We are a project to create democratic alternatives and practice self-determination by controlling our own secure means of communications.

Online

#8 2019-06-30 15:50:07

Panopticon
Member
Registered: 2018-01-27
Posts: 306  

Re: How do I install a package that requires snapd?

Fyi

RiseupVPN is built using a free software program called bitmask-vpn.

https://bitmask.net/

Offline

#9 2019-06-30 16:07:27

Panopticon
Member
Registered: 2018-01-27
Posts: 306  

Re: How do I install a package that requires snapd?

https://black.riseup.net/

Welcome to Riseup Black

This is the home of the Riseup "Black" services, our new enhanced security VPN and (soon) Email. These services require the Bitmask application.

Important: To avoid possible issues, you will need to create a new account (this means a new username) to use the "Black" services. But don't fear, you will be later able to use your current username if you want.

Offline

#10 2019-07-01 18:42:34

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 290  
Website

Re: How do I install a package that requires snapd?

ToxicExMachina wrote:

Snap format is basically crumpled deb package. You can unpack it yourself.

That would only work if the runtime libraries are compatible.


Fabricando fit faber

Offline

#11 2019-07-02 20:48:47

golinux
Administrator
Registered: 2016-11-25
Posts: 1,675  

Re: How do I install a package that requires snapd?

This response from riseup:

It wont be possible to decontaminate snapd, but we are producing a debian package, and it does work.

So if you're using Devuan, their VPN isn't going to work for you.

Online

#12 2019-07-04 08:58:23

ToxicExMachina
Member
Registered: 2019-03-11
Posts: 106  

Re: How do I install a package that requires snapd?

golinux wrote:
ToxicExMachina wrote:

Besides, if VPN service require custom proprietary VPN client it's a spyware.

Do you know anything about riseup.net?  I suggest you learn more about them.  From their homepage:

Riseup provides online communication tools for people and groups working on liberatory social change. We are a project to create democratic alternatives and practice self-determination by controlling our own secure means of communications.

They could provide settings for openvpn/wireguard/another vpn client. If they don't want to do that they could pack their client as appimage, tarball or even makeself installer. Snap is anti-community metaproprietary bs (just like flatpak).

Offline

Board footer